> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Webhook

> Meta webhook verification — returns the challenge if token matches.



## OpenAPI

````yaml /openapi.json get /api/v1/whatsapp/webhook
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/whatsapp/webhook:
    get:
      tags:
        - WhatsApp
      summary: Verify Webhook
      description: Meta webhook verification — returns the challenge if token matches.
      operationId: verify_webhook_api_v1_whatsapp_webhook_get
      parameters:
        - name: hub.mode
          in: query
          required: false
          schema:
            type: string
            title: Hub.Mode
        - name: hub.verify_token
          in: query
          required: false
          schema:
            type: string
            title: Hub.Verify Token
        - name: hub.challenge
          in: query
          required: false
          schema:
            type: string
            title: Hub.Challenge
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````